Package org.firebirdsql.gds

## Interface DatabaseParameterBuffer

All Superinterfaces:
  `ConnectionParameterBuffer`, `java.lang.Iterable<Parameter>`, `ParameterBuffer`

All Known Implementing Classes:
  `DatabaseParameterBufferImp`

    public interface DatabaseParameterBuffer
    extends ConnectionParameterBuffer

Instance of this interface represents a Database Parameter Buffer from the Firebird API documentation and specifies the attributes for the current connection.

Additionally, it is possible to change some database properties in a permanent way, however this approach is not recommended. Please use instead management API.

### Field Summary

Fields
`static int` `ACTIVATE_SHADOW` Deprecated.
`static int` `ADDRESS_PATH` Deprecated.
`static int` `ALLOCATION` Deprecated.
`static int` `BEGIN_LOG` Deprecated.
`static int` `BUFFER_LENGTH` Deprecated.
`static int` `CACHE_MANAGER` Deprecated.
`static int` `CDD_PATHNAME` Deprecated.
`static int` `CONNECT_TIMEOUT` Deprecated.
`static int` `DAMAGED` Deprecated.
`static int` `DBKEY_SCOPE` Deprecated.
`static int` `DEBUG` Deprecated.
`static int` `DELETE_SHADOW` Deprecated.
`static int` `DISABLE_JOURNAL` Deprecated.
`static int` `DISABLE_WAL` Deprecated.
`static int` `DROP_WALFILE` Deprecated.
`static int` `DUMMY_PACKET_INTERVAL` Deprecated.
`static int` `ENABLE_JOURNAL` Deprecated.
`static int` `ENCRYPT_KEY` Deprecated.
`static int` `FORCE_WRITE` Deprecated.
`static int` `GARBAGE_COLLECT` Deprecated.
`static int` `GBAK_ATTACH` Deprecated.
`static int` `GFIX_ATTACH` Deprecated.
`static int` `GSEC_ATTACH` Deprecated.
`static int` `GSTAT_ATTACH` Deprecated.
`static int` `INTERP` Deprecated.
`static int` `JOURNAL` Deprecated.
`static int` `LC_CTYPE` Deprecated.
`static int` `LC_MESSAGES` Deprecated.
`static int` `LICENSE` Deprecated.
`static int` `NO_DB_TRIGGERS` Deprecated.
`static int` `NO_GARBAGE_COLLECT` Deprecated.
`static int` `NO_RESERVE` Deprecated.
`static int` `NUM_BUFFERS` Deprecated.
`static int` `NUMBER_OF_USERS` Deprecated.
`static int` `OLD_DUMP_ID` Deprecated.
`static int` `OLD_FILE` Deprecated.
`static int` `OLD_FILE_SIZE` Deprecated.
`static int` `OLD_NUM_FILES` Deprecated.
`static int` `OLD_START_FILE` Deprecated.
`static int` `OLD_START_PAGE` Deprecated.
`static int` `OLD_START_SEQNO` Deprecated.
`static int` `ONLINE` Deprecated.
`static int` `ONLINE_DUMP` Deprecated.
`static int` `OVERWRITE` Deprecated.
`static int` `PAGE_SIZE` Deprecated.
`static int` `PASSWORD` Deprecated.
`static int` `PASSWORD_ENC` Deprecated.
`static int` `PROCESS_ID` Deprecated.
`static int` `PROCESS_NAME` Deprecated.
`static int` `QUIT_LOG` Deprecated.
`static int` `RESERVED` Deprecated.
`static int` `SEC_ATTACH` Deprecated.
`static int` `SET_DB_CHARSET` Deprecated.
`static int` `SET_DB_READONLY` Deprecated.
`static int` `SET_DB_SQL_DIALECT` Deprecated.
`static int` `SET_PAGE_BUFFERS` Deprecated.
`static int` `SHUTDOWN` Deprecated.
`static int` `SHUTDOWN_DELAY` Deprecated.
`static int` `SQL_DIALECT` Deprecated.
`static int` `SQL_ROLE_NAME` Deprecated.
`static int` `SWEEP` Deprecated.
`static int` `SWEEP_INTERVAL` Deprecated.
`static int` `SYS_USER_NAME` Deprecated.
`static int` `SYS_USER_NAME_ENC` Deprecated.
`static int` `TRACE` Deprecated.
`static int` `TRUSTED_AUTH` Deprecated.
`static int` `USER` Deprecated.
`static int` `USER_NAME` Deprecated.
`static int` `VERIFY` Deprecated.
`static int` `WAL_BACKUP_DIR` Deprecated.
`static int` `WAL_BUFSIZE` Deprecated.
`static int` `WAL_CHKPTLEN` Deprecated.
`static int` `WAL_GRP_CMT_WAIT` Deprecated.
`static int` `WAL_NUMBUFS` Deprecated.
`static int` `WORKING_DIRECTORY` Deprecated.

### Method Summary

All Methods Instance Methods Abstract Methods
`DatabaseParameterBuffer` `deepCopy()` Make a deep copy of this object.

### Methods inherited from interface org.firebirdsql.gds.ConnectionParameterBuffer

`getDefaultEncoding, getTagMapping`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

### Field Detail

#### CDD_PATHNAME

    @Deprecated
    static final int CDD_PATHNAME

Deprecated.

See Also:
  Constant Field Values

#### ALLOCATION

    @Deprecated
    static final int ALLOCATION

Deprecated.

See Also:
  Constant Field Values

#### JOURNAL

    @Deprecated
    static final int JOURNAL

Deprecated.

See Also:
  Constant Field Values

#### PAGE_SIZE

    @Deprecated
    static final int PAGE_SIZE

Deprecated.

See Also:
  Constant Field Values

#### NUM_BUFFERS

    @Deprecated
    static final int NUM_BUFFERS

Deprecated.

See Also:
  Constant Field Values

#### BUFFER_LENGTH

    @Deprecated
    static final int BUFFER_LENGTH

Deprecated.

See Also:
  Constant Field Values

#### DEBUG

    @Deprecated
    static final int DEBUG

Deprecated.

See Also:
  Constant Field Values

#### GARBAGE_COLLECT

    @Deprecated
    static final int GARBAGE_COLLECT

Deprecated.

See Also:
  Constant Field Values

#### VERIFY

    @Deprecated
    static final int VERIFY

Deprecated.

See Also:
  Constant Field Values

#### SWEEP

    @Deprecated
    static final int SWEEP

Deprecated.

See Also:
  Constant Field Values

#### ENABLE_JOURNAL

    @Deprecated
    static final int ENABLE_JOURNAL

Deprecated.

See Also:
  Constant Field Values

#### DISABLE_JOURNAL

    @Deprecated
    static final int DISABLE_JOURNAL

Deprecated.

See Also:
  Constant Field Values

#### DBKEY_SCOPE

    @Deprecated
    static final int DBKEY_SCOPE

Deprecated.

See Also:
  Constant Field Values

#### NUMBER_OF_USERS

    @Deprecated
    static final int NUMBER_OF_USERS

Deprecated.

See Also:
  Constant Field Values

#### TRACE

    @Deprecated
    static final int TRACE

Deprecated.

See Also:
  Constant Field Values

#### NO_GARBAGE_COLLECT

    @Deprecated
    static final int NO_GARBAGE_COLLECT

Deprecated.

See Also:
  Constant Field Values

#### DAMAGED

    @Deprecated
    static final int DAMAGED

Deprecated.

See Also:
  Constant Field Values

#### LICENSE

    @Deprecated
    static final int LICENSE

Deprecated.

See Also:
  Constant Field Values

#### SYS_USER_NAME

    @Deprecated
    static final int SYS_USER_NAME

Deprecated.

See Also:
  Constant Field Values

#### ENCRYPT_KEY

    @Deprecated
    static final int ENCRYPT_KEY

Deprecated.

See Also:
  Constant Field Values

#### ACTIVATE_SHADOW

    @Deprecated
    static final int ACTIVATE_SHADOW

Deprecated.

See Also:
  Constant Field Values

#### SWEEP_INTERVAL

    @Deprecated
    static final int SWEEP_INTERVAL

Deprecated.

See Also:
  Constant Field Values

#### DELETE_SHADOW

    @Deprecated
    static final int DELETE_SHADOW

Deprecated.

See Also:
  Constant Field Values

#### FORCE_WRITE

    @Deprecated
    static final int FORCE_WRITE

Deprecated.

See Also:
  Constant Field Values

#### BEGIN_LOG

    @Deprecated
    static final int BEGIN_LOG

Deprecated.

See Also:
  Constant Field Values

#### QUIT_LOG

    @Deprecated
    static final int QUIT_LOG

Deprecated.

See Also:
  Constant Field Values

#### NO_RESERVE

    @Deprecated
    static final int NO_RESERVE

Deprecated.

See Also:
  Constant Field Values

#### USER_NAME

    @Deprecated
    static final int USER_NAME

Deprecated.

See Also:
  Constant Field Values

#### USER

    @Deprecated
    static final int USER

Deprecated.

See Also:
  Constant Field Values

#### PASSWORD

    @Deprecated
    static final int PASSWORD

Deprecated.

See Also:
  Constant Field Values

#### PASSWORD_ENC

    @Deprecated
    static final int PASSWORD_ENC

Deprecated.

See Also:
  Constant Field Values

#### SYS_USER_NAME_ENC

    @Deprecated
    static final int SYS_USER_NAME_ENC

Deprecated.

See Also:
  Constant Field Values

#### INTERP

    @Deprecated
    static final int INTERP

Deprecated.

See Also:
  Constant Field Values

#### ONLINE_DUMP

    @Deprecated
    static final int ONLINE_DUMP

Deprecated.

See Also:
  Constant Field Values

#### OLD_FILE_SIZE

    @Deprecated
    static final int OLD_FILE_SIZE

Deprecated.

See Also:
  Constant Field Values

#### OLD_NUM_FILES

    @Deprecated
    static final int OLD_NUM_FILES

Deprecated.

See Also:
  Constant Field Values

#### OLD_FILE

    @Deprecated
    static final int OLD_FILE

Deprecated.

See Also:
  Constant Field Values

#### OLD_START_PAGE

    @Deprecated
    static final int OLD_START_PAGE

Deprecated.

See Also:
  Constant Field Values

#### OLD_START_SEQNO

    @Deprecated
    static final int OLD_START_SEQNO

Deprecated.

See Also:
  Constant Field Values

#### OLD_START_FILE

    @Deprecated
    static final int OLD_START_FILE

Deprecated.

See Also:
  Constant Field Values

#### DROP_WALFILE

    @Deprecated
    static final int DROP_WALFILE

Deprecated.

See Also:
  Constant Field Values

#### OLD_DUMP_ID

    @Deprecated
    static final int OLD_DUMP_ID

Deprecated.

See Also:
  Constant Field Values

#### WAL_BACKUP_DIR

    @Deprecated
    static final int WAL_BACKUP_DIR

Deprecated.

See Also:
  Constant Field Values

#### WAL_CHKPTLEN

    @Deprecated
    static final int WAL_CHKPTLEN

Deprecated.

See Also:
  Constant Field Values

#### WAL_NUMBUFS

    @Deprecated
    static final int WAL_NUMBUFS

Deprecated.

See Also:
  Constant Field Values

#### WAL_BUFSIZE

    @Deprecated
    static final int WAL_BUFSIZE

Deprecated.

See Also:
  Constant Field Values

#### WAL_GRP_CMT_WAIT

    @Deprecated
    static final int WAL_GRP_CMT_WAIT

Deprecated.

See Also:
  Constant Field Values

#### LC_MESSAGES

    @Deprecated
    static final int LC_MESSAGES

Deprecated.

See Also:
  Constant Field Values

#### LC_CTYPE

    @Deprecated
    static final int LC_CTYPE

Deprecated.

See Also:
  Constant Field Values

#### CACHE_MANAGER

    @Deprecated
    static final int CACHE_MANAGER

Deprecated.

See Also:
  Constant Field Values

#### SHUTDOWN

    @Deprecated
    static final int SHUTDOWN

Deprecated.

See Also:
  Constant Field Values

#### ONLINE

    @Deprecated
    static final int ONLINE

Deprecated.

See Also:
  Constant Field Values

#### SHUTDOWN_DELAY

    @Deprecated
    static final int SHUTDOWN_DELAY

Deprecated.

See Also:
  Constant Field Values

#### RESERVED

    @Deprecated
    static final int RESERVED

Deprecated.

See Also:
  Constant Field Values

#### OVERWRITE

    @Deprecated
    static final int OVERWRITE

Deprecated.

See Also:
  Constant Field Values

#### SEC_ATTACH

    @Deprecated
    static final int SEC_ATTACH

Deprecated.

See Also:
  Constant Field Values

#### DISABLE_WAL

    @Deprecated
    static final int DISABLE_WAL

Deprecated.

See Also:
  Constant Field Values

#### CONNECT_TIMEOUT

    @Deprecated
    static final int CONNECT_TIMEOUT

Deprecated.

See Also:
  Constant Field Values

#### DUMMY_PACKET_INTERVAL

    @Deprecated
    static final int DUMMY_PACKET_INTERVAL

Deprecated.

See Also:
  Constant Field Values

#### GBAK_ATTACH

    @Deprecated
    static final int GBAK_ATTACH

Deprecated.

See Also:
  Constant Field Values

#### SQL_ROLE_NAME

    @Deprecated
    static final int SQL_ROLE_NAME

Deprecated.

See Also:
  Constant Field Values

#### SET_PAGE_BUFFERS

    @Deprecated
    static final int SET_PAGE_BUFFERS

Deprecated.

See Also:
  Constant Field Values

#### WORKING_DIRECTORY

    @Deprecated
    static final int WORKING_DIRECTORY

Deprecated.

See Also:
  Constant Field Values

#### SQL_DIALECT

    @Deprecated
    static final int SQL_DIALECT

Deprecated.

See Also:
  Constant Field Values

#### SET_DB_READONLY

    @Deprecated
    static final int SET_DB_READONLY

Deprecated.

See Also:
  Constant Field Values

#### SET_DB_SQL_DIALECT

    @Deprecated
    static final int SET_DB_SQL_DIALECT

Deprecated.

See Also:
  Constant Field Values

#### GFIX_ATTACH

    @Deprecated
    static final int GFIX_ATTACH

Deprecated.

See Also:
  Constant Field Values

#### GSTAT_ATTACH

    @Deprecated
    static final int GSTAT_ATTACH

Deprecated.

See Also:
  Constant Field Values

#### SET_DB_CHARSET

    @Deprecated
    static final int SET_DB_CHARSET

Deprecated.

See Also:
  Constant Field Values

#### GSEC_ATTACH

    @Deprecated
    static final int GSEC_ATTACH

Deprecated.

See Also:
  Constant Field Values

#### ADDRESS_PATH

    @Deprecated
    static final int ADDRESS_PATH

Deprecated.

See Also:
  Constant Field Values

#### PROCESS_ID

    @Deprecated
    static final int PROCESS_ID

Deprecated.

See Also:
  Constant Field Values

#### NO_DB_TRIGGERS

    @Deprecated
    static final int NO_DB_TRIGGERS

Deprecated.

See Also:
  Constant Field Values

#### TRUSTED_AUTH

    @Deprecated
    static final int TRUSTED_AUTH

Deprecated.

See Also:
  Constant Field Values

#### PROCESS_NAME

    @Deprecated
    static final int PROCESS_NAME

Deprecated.

See Also:
  Constant Field Values

### Method Detail

#### deepCopy

    DatabaseParameterBuffer deepCopy()

Make a deep copy of this object.

Returns:
  deep copy of this object.